# Get PDF statement for the account

Get PDF statement for the account

Endpoint: GET /stored-data/v1/consents/{consentId}/accounts/{accountId}/statement
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    The consent ID for which we want to fetch account information

  - `accountId` (string, required)
    The account ID for which we want to fetch PDF statement

## Query parameters:

  - `from` (string)
    Optional from date

  - `to` (string)
    Optional to date

## Response 200:

  - `200` (unknown)
    PDF statement for the account

## Response 400:

  - `400` (unknown)
    Unsupported account type

## Response 400 fields (application/pdf):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 403:

  - `403` (unknown)
    The consent or account access has been revoked

## Response 403 fields (application/pdf):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404:

  - `404` (unknown)
    No consent or accounts were found

## Response 404 fields (application/pdf):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/pdf):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502:

  - `502` (unknown)
    The provider is temporarily unavailable or rate limit has been reached, try again in a few minutes

## Response 502 fields (application/pdf):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

